<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="DoxyPress 1.2.10"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Commanders: Class Members</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="doxypress.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by DoxyPress -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Commanders
   </div>
   <div id="projectbrief">Arduino buttons/bus library</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by DoxyPress 1.2.10 -->
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('functions_all.html','');});
</script>
<div id="doc-content">
<div class="contents">
<div class="textblock">Here is a list of all documented class members with links to the class documentation for each member:</div>

<h3><a class="anchor" id="index_a"></a>- a -</h3><ul>
<li>Add()
: <a class="el" href="classButtonsCommanderClass.html#a79e6b42af26863ca1e8fd778b2724ac5">ButtonsCommanderClass</a>
</li>
<li>AddButton()
: <a class="el" href="classButtonsCommanderClass.html#ab73b7eebdee90e9a67f76c04b544e7ba">ButtonsCommanderClass</a>
</li>
<li>AddEvent()
: <a class="el" href="classButtonsCommanderPush.html#afba3fe21579365395bc41a5d3f87b207">ButtonsCommanderPush</a>
, <a class="el" href="classButtonsCommanderSwitch.html#a5b1a16f717941df169781ab96a5d1650">ButtonsCommanderSwitch</a>
</li>
<li>AddItem()
: <a class="el" href="classCMDRSCHAINEDLIST.html#a9376873ee15cd2ad4f239b832c700c56">CMDRSCHAINEDLIST&lt; T &gt;</a>
</li>
</ul>


<h3><a class="anchor" id="index_b"></a>- b -</h3><ul>
<li>BeforeFirstLoops()
: <a class="el" href="classCommander.html#aa11f6874d5b0faad6867415fe20ee96d">Commander</a>
</li>
<li>BlinkDelay
: <a class="el" href="classCommanders.html#a8c5e99e96956bdbaf003b78355a6460b">Commanders</a>
</li>
<li>ButtonsCommanderAnalogPushes()
: <a class="el" href="classButtonsCommanderAnalogPushes.html#a838603d13e894d923700ec9ad9958cd7">ButtonsCommanderAnalogPushes</a>
</li>
<li>ButtonsCommanderAnalogPushesItem()
: <a class="el" href="classButtonsCommanderAnalogPushesItem.html#a397b15ec4df6f1fbe2b9f1b1728bc770">ButtonsCommanderAnalogPushesItem</a>
</li>
<li>ButtonsCommanderButton()
: <a class="el" href="classButtonsCommanderButton.html#afd8cb1a2b76510830062c5656bda0728">ButtonsCommanderButton</a>
</li>
<li>ButtonsCommanderClass()
: <a class="el" href="classButtonsCommanderClass.html#a75779d09c493df9641ec3b24ec0fdc91">ButtonsCommanderClass</a>
</li>
<li>ButtonsCommanderEncoder()
: <a class="el" href="classButtonsCommanderEncoder.html#a2d32ba9af1f29577aa9137f414caa3d3">ButtonsCommanderEncoder</a>
</li>
<li>ButtonsCommanderPotentiometer()
: <a class="el" href="classButtonsCommanderPotentiometer.html#aa44cfe02705e00e1a0c4ad842132b3ba">ButtonsCommanderPotentiometer</a>
</li>
<li>ButtonsCommanderPush()
: <a class="el" href="classButtonsCommanderPush.html#ae5e721c350254591d3bd00b9f9e9de1b">ButtonsCommanderPush</a>
</li>
<li>ButtonsCommanderSwitch()
: <a class="el" href="classButtonsCommanderSwitch.html#ac0868173b88f84ea44ecdee9e0dfd82f">ButtonsCommanderSwitch</a>
</li>
<li>ButtonsCommanderSwitchOnePin()
: <a class="el" href="classButtonsCommanderSwitchOnePin.html#a8c43c44b9408bb887107e09407f2ea5c">ButtonsCommanderSwitchOnePin</a>
</li>
<li>ButtonsCommanderSwitchTwoPins()
: <a class="el" href="classButtonsCommanderSwitchTwoPins.html#aaf37dd87398ee10198c287100cbeb77a">ButtonsCommanderSwitchTwoPins</a>
</li>
<li>beforeFirstLoop()
: <a class="el" href="classButtonsCommanderClass.html#abc33c28391bc3bedc44a157f10624ca0">ButtonsCommanderClass</a>
, <a class="el" href="classButtonsCommanderButton.html#ae1f260c75fbe475f674107bdc96f26cd">ButtonsCommanderButton</a>
, <a class="el" href="classButtonsCommanderSwitch.html#ac5acada95c180aa8011e8b4c4ba3e6ce">ButtonsCommanderSwitch</a>
, <a class="el" href="classButtonsCommanderSwitchOnePin.html#af4a18cad9ddbb3f59ebe3e83e446a377">ButtonsCommanderSwitchOnePin</a>
, <a class="el" href="classButtonsCommanderSwitchTwoPins.html#a09bec828df1adbfe561730b1a443e72e">ButtonsCommanderSwitchTwoPins</a>
, <a class="el" href="classCommander.html#a07837869d9f0d6950cd8c40dacc7e05f">Commander</a>
</li>
<li>begin()
: <a class="el" href="classButtonsCommanderClass.html#a3880ee3f88cb1407ca600ae12646d5b4">ButtonsCommanderClass</a>
, <a class="el" href="classButtonsCommanderAnalogPushes.html#afdee2008ec1f6f3f276bfa6193bfa60c">ButtonsCommanderAnalogPushes</a>
, <a class="el" href="classButtonsCommanderAnalogPushesItem.html#a8c814177a5d01a21d6aef4877858917b">ButtonsCommanderAnalogPushesItem</a>
, <a class="el" href="classButtonsCommanderEncoder.html#ae16003a4ee9c3b80c78194a8de43b8ac">ButtonsCommanderEncoder</a>
, <a class="el" href="classButtonsCommanderPotentiometer.html#a44442eceb7a1091bbaa84ada1475487a">ButtonsCommanderPotentiometer</a>
, <a class="el" href="classButtonsCommanderPush.html#ab8fb73b9998dc9fa58cfd1b26080ef1a">ButtonsCommanderPush</a>
, <a class="el" href="classButtonsCommanderSwitch.html#adf7871a996c39e3dcbc30d1ad98de2ba">ButtonsCommanderSwitch</a>
, <a class="el" href="classButtonsCommanderSwitchOnePin.html#af30fa302f6149e466ec241ee5b9c6fba">ButtonsCommanderSwitchOnePin</a>
, <a class="el" href="classButtonsCommanderSwitchTwoPins.html#adc566a22e49ec0666d16713e4acb74f0">ButtonsCommanderSwitchTwoPins</a>
, <a class="el" href="classCANCommanderClass.html#a192edd7c41059da4e7f201c4bb65684b">CANCommanderClass</a>
, <a class="el" href="classCommanders.html#a2e7416f9f706ebccacefc4327d50fce4">Commanders</a>
, <a class="el" href="classDccCommanderClass.html#a6ec17894419857a33c2667e925da456e">DccCommanderClass</a>
, <a class="el" href="classI2CCommanderClass.html#ac6575229251840ec767b7595e172ea1e">I2CCommanderClass</a>
</li>
</ul>


<h3><a class="anchor" id="index_c"></a>- c -</h3><ul>
<li>CANCommanderClass()
: <a class="el" href="classCANCommanderClass.html#ad0e2b4faecea168636d7b36b390e465d">CANCommanderClass</a>
</li>
<li>CMDRSCHAINEDLIST()
: <a class="el" href="classCMDRSCHAINEDLIST.html#a6a8536f2cb62714624e8a1ae2c021191">CMDRSCHAINEDLIST&lt; T &gt;</a>
</li>
<li>CMDRSCHAINEDLISTITEM()
: <a class="el" href="classCMDRSCHAINEDLISTITEM.html#a48983e4559b7865ad04ba0b23724259c">CMDRSCHAINEDLISTITEM&lt; T &gt;</a>
</li>
<li>Commander()
: <a class="el" href="classCommander.html#ac3fc4568a88c91cb4ab97de9f77698a9">Commander</a>
</li>
<li>CommanderPriorityLoops()
: <a class="el" href="classCommander.html#add75d0185fe8f8fc0c9a92a02f3663c8">Commander</a>
</li>
</ul>


<h3><a class="anchor" id="index_d"></a>- d -</h3><ul>
<li>Data
: <a class="el" href="structEvent.html#add1010c7a7dfb056fee72df7c1575d90">Event</a>
, <a class="el" href="structEventPin.html#a76a1ef2eda3115e051f49861093cd6ff">EventPin</a>
</li>
<li>DccAccessoryDecoderPacket()
: <a class="el" href="classDccCommanderClass.html#a513e3e0cabaad7cf7ebbfa4bd767c368">DccCommanderClass</a>
</li>
<li>DccCommanderClass()
: <a class="el" href="classDccCommanderClass.html#ac10ea64d33e686c877bdcb3024068e02">DccCommanderClass</a>
</li>
</ul>


<h3><a class="anchor" id="index_e"></a>- e -</h3><ul>
<li>EndLoop()
: <a class="el" href="classButtonsCommanderAnalogPushes.html#aed6eacfc1656e7aacd24cf3ab6565ea1">ButtonsCommanderAnalogPushes</a>
, <a class="el" href="classButtonsCommanderButton.html#a270eade0db966b7e72b6dc5462377593">ButtonsCommanderButton</a>
</li>
<li>Event
: <a class="el" href="structEventPin.html#a8b4c6321f1b8abe7db2a5308f077533b">EventPin</a>
</li>
<li>EventType
: <a class="el" href="structEvent.html#a30e11257e8ec1f970fb3159060bc2d17">Event</a>
</li>
<li>EventsStack
: <a class="el" href="classEventStack.html#aa069fd5ec754f59e4285bc3a38ff1b78">EventStack</a>
</li>
</ul>


<h3><a class="anchor" id="index_g"></a>- g -</h3><ul>
<li>GetAnalogValue()
: <a class="el" href="classButtonsCommanderAnalogPushesItem.html#a05b3210abff1b00954c661da7695d765">ButtonsCommanderAnalogPushesItem</a>
</li>
<li>GetCurrent()
: <a class="el" href="classButtonsCommanderClass.html#a74b36f7195c430ca7bb4699e5114db83">ButtonsCommanderClass</a>
, <a class="el" href="classCANCommanderClass.html#af75894cb98a2442642de7f565a6d67f8">CANCommanderClass</a>
, <a class="el" href="classDccCommanderClass.html#a71585f785e9676ae03477557949ecd9a">DccCommanderClass</a>
, <a class="el" href="classI2CCommanderClass.html#a3005801c54446babf760167577be8039">I2CCommanderClass</a>
</li>
<li>GetDIO2Pin()
: <a class="el" href="classButtonsCommanderPush.html#ae3148a0249bfbec51d2fcc906e2a9603">ButtonsCommanderPush</a>
</li>
<li>GetEvent()
: <a class="el" href="classEventStack.html#a0cd732c42b231ae7e31ec5b77d23faec">EventStack</a>
</li>
<li>GetFromId()
: <a class="el" href="classButtonsCommanderClass.html#abb8a7f8c89b8e2f51f3838cf399bbe60">ButtonsCommanderClass</a>
, <a class="el" href="classButtonsCommanderAnalogPushes.html#ae976e740dfe282cf22e107cfa6b13dc3">ButtonsCommanderAnalogPushes</a>
, <a class="el" href="classButtonsCommanderButton.html#a1ab1295abfbfafef48d38a8795fb0be7">ButtonsCommanderButton</a>
</li>
<li>GetId()
: <a class="el" href="classButtonsCommanderButton.html#acbdd1d63fed7736c7358105428fbfd9c">ButtonsCommanderButton</a>
, <a class="el" href="classButtonsCommanderSwitch.html#a2b9922d2b262776d8b49909329280bc5">ButtonsCommanderSwitch</a>
, <a class="el" href="classButtonsCommanderSwitchTwoPins.html#a386658bc972b186977a92cd6d7721d5c">ButtonsCommanderSwitchTwoPins</a>
</li>
<li>GetItem()
: <a class="el" href="classButtonsCommanderAnalogPushes.html#a6f796b9880e1d9b7a41a26fdf972a3c0">ButtonsCommanderAnalogPushes</a>
</li>
<li>GetLastButtonPressed()
: <a class="el" href="classButtonsCommanderAnalogPushes.html#af42beb367b2a6278527ef79a30cd892d">ButtonsCommanderAnalogPushes</a>
</li>
<li>GetLastConfigAddress()
: <a class="el" href="classCommanders.html#a738b07e45ab42b267023aa41ced99794">Commanders</a>
</li>
<li>GetLastDccId()
: <a class="el" href="classDccCommanderClass.html#a97a3afabe3aca9b97728b3d8679ad66b">DccCommanderClass</a>
</li>
<li>GetLastEventData()
: <a class="el" href="classCommanders.html#a0187e8801676544eaa07439e3d2392ca">Commanders</a>
</li>
<li>GetLastEventType()
: <a class="el" href="classCommanders.html#adfb7074f73b2259401dec5be4cfaa17d">Commanders</a>
</li>
<li>GetNextButton()
: <a class="el" href="classButtonsCommanderButton.html#a0dac1c9fcdc5bbe1d2b00a38192f555c">ButtonsCommanderButton</a>
</li>
<li>GetPendingEventIndex()
: <a class="el" href="classEventStack.html#ac926c16835a21a1710d986040ce76b57">EventStack</a>
</li>
<li>GetPin()
: <a class="el" href="classButtonsCommanderPush.html#ad4a86075facec25cb45e703971c4e7c0">ButtonsCommanderPush</a>
</li>
<li>GetPosition()
: <a class="el" href="classButtonsCommanderButton.html#a823f11a7de3a5a01d0c076f7d5b4fae0">ButtonsCommanderButton</a>
, <a class="el" href="classButtonsCommanderEncoder.html#af9cc403a8374e4d9493648b3cfb8c869">ButtonsCommanderEncoder</a>
, <a class="el" href="classButtonsCommanderPotentiometer.html#a2c1d733902d73d9c57be2c408fc5bc77">ButtonsCommanderPotentiometer</a>
</li>
</ul>


<h3><a class="anchor" id="index_i"></a>- i -</h3><ul>
<li>I2CCommanderClass()
: <a class="el" href="classI2CCommanderClass.html#a9c8d2f7e5eb24f31086fd8e4cd5acf58">I2CCommanderClass</a>
</li>
<li>Id
: <a class="el" href="classButtonsCommanderButton.html#a3b40667770ab04694a2ea85f11aebfe0">ButtonsCommanderButton</a>
, <a class="el" href="structEvent.html#afd30660358c854e191265792814ee078">Event</a>
, <a class="el" href="structEventPin.html#ad356be83493e83623b5f8756f9f99808">EventPin</a>
</li>
<li>IsPushed()
: <a class="el" href="classButtonsCommanderAnalogPushesItem.html#aa82a50f06a8457b543a0dc3bb757a468">ButtonsCommanderAnalogPushesItem</a>
</li>
</ul>


<h3><a class="anchor" id="index_l"></a>- l -</h3><ul>
<li>loop()
: <a class="el" href="classButtonsCommanderClass.html#acda3beac661dcf22d2593c76fde1a634">ButtonsCommanderClass</a>
, <a class="el" href="classButtonsCommanderAnalogPushes.html#ab72557e2f070f17498f5e43f82ec52f3">ButtonsCommanderAnalogPushes</a>
, <a class="el" href="classButtonsCommanderButton.html#a44bbb289ce1f64b42a88126e8dd42f7e">ButtonsCommanderButton</a>
, <a class="el" href="classButtonsCommanderEncoder.html#a7fa7dfee89534eaa194aa578d53427a9">ButtonsCommanderEncoder</a>
, <a class="el" href="classButtonsCommanderPotentiometer.html#a64f51252b6a09664897197989ec87a08">ButtonsCommanderPotentiometer</a>
, <a class="el" href="classButtonsCommanderPush.html#a7b1af7744bd5bafaf42e355cb5a0a7dd">ButtonsCommanderPush</a>
, <a class="el" href="classButtonsCommanderSwitch.html#a3e66f87ce692b0524bf9940dec663d21">ButtonsCommanderSwitch</a>
, <a class="el" href="classButtonsCommanderSwitchOnePin.html#a13b39217d1b55574422ea1d8bded0f62">ButtonsCommanderSwitchOnePin</a>
, <a class="el" href="classButtonsCommanderSwitchTwoPins.html#a096c4bc62bdc8144a6fe68808726bc73">ButtonsCommanderSwitchTwoPins</a>
, <a class="el" href="classCANCommanderClass.html#ac55b4d106afa8c09764931e287eb7c42">CANCommanderClass</a>
, <a class="el" href="classCommander.html#ad071adf2b8c272269394c2c66bf46f00">Commander</a>
, <a class="el" href="classCommanders.html#af717de804be2a30257ca52b987143cc3">Commanders</a>
, <a class="el" href="classDccCommanderClass.html#a0c97ea34dfdf4c13de53a58937df5580">DccCommanderClass</a>
, <a class="el" href="classI2CCommanderClass.html#a11fda5e10b4caf40275fea5854018808">I2CCommanderClass</a>
</li>
<li>loopOnePin()
: <a class="el" href="classButtonsCommanderSwitch.html#ab4ff8f2eead168e08c2f385022c06a4a">ButtonsCommanderSwitch</a>
</li>
<li>loops()
: <a class="el" href="classCommander.html#a10c7c5ee5db3da8acf2b7c8bfd5e3067">Commander</a>
</li>
</ul>


<h3><a class="anchor" id="index_n"></a>- n -</h3><ul>
<li>NextCurrent()
: <a class="el" href="classCMDRSCHAINEDLIST.html#a7c95325c818d2e63d6ccf0b7f5250103">CMDRSCHAINEDLIST&lt; T &gt;</a>
</li>
</ul>


<h3><a class="anchor" id="index_o"></a>- o -</h3><ul>
<li>Obj
: <a class="el" href="classCMDRSCHAINEDLISTITEM.html#aa4dd9b25f2fb55a906a2b052979e9cf2">CMDRSCHAINEDLISTITEM&lt; T &gt;</a>
</li>
</ul>


<h3><a class="anchor" id="index_p"></a>- p -</h3><ul>
<li>Pin
: <a class="el" href="structEventPin.html#a55bd77f9470bf8903042423278f950c2">EventPin</a>
</li>
<li>PriorityLoop()
: <a class="el" href="classCommander.html#ade3914b5c62cd08a4e97050bc5314734">Commander</a>
, <a class="el" href="classDccCommanderClass.html#a688f192c9f26dfe824a86b6aa00152df">DccCommanderClass</a>
</li>
<li>PushEvent()
: <a class="el" href="classEventStack.html#ae68541fb067cda62a399a9cea46ca202">EventStack</a>
</li>
<li>pCurrentItem
: <a class="el" href="classCMDRSCHAINEDLIST.html#ae382ce65496e09ba16dfa0fc6f311a27">CMDRSCHAINEDLIST&lt; T &gt;</a>
</li>
<li>pFirst
: <a class="el" href="classCMDRSCHAINEDLIST.html#a604e8c770db9bc2a7b11fa2aacc56993">CMDRSCHAINEDLIST&lt; T &gt;</a>
</li>
<li>pNext
: <a class="el" href="classCMDRSCHAINEDLISTITEM.html#a57edf0e3c4df958d02e9ef2d8af67c05">CMDRSCHAINEDLISTITEM&lt; T &gt;</a>
</li>
<li>printCommander()
: <a class="el" href="classDccCommanderClass.html#a9eb04a79497f70417cbb690e9dc3614c">DccCommanderClass</a>
, <a class="el" href="classI2CCommanderClass.html#af6819052ca1a9dc32d07d2ad79be064e">I2CCommanderClass</a>
</li>
<li>printCommanders()
: <a class="el" href="classCommanders.html#a9e4b17238d8bd80bc0813d82c4211cbc">Commanders</a>
</li>
<li>printEvent()
: <a class="el" href="classCommanders.html#a4b8b1bb3a9cb5b419562ddca40471ab8">Commanders</a>
, <a class="el" href="classDccCommanderClass.html#a65088d66788156ea4a41027af1528298">DccCommanderClass</a>
</li>
<li>printEventData()
: <a class="el" href="classCommanders.html#af67a26985403e912486b851e3b44a6d6">Commanders</a>
</li>
<li>printEventMoveType()
: <a class="el" href="classCommanders.html#a2153ff5a87528ef0701daa61cd8601a9">Commanders</a>
</li>
<li>printEventType()
: <a class="el" href="classCommanders.html#a5594e42de65bbf0bff7065c2eaaa3c7e">Commanders</a>
</li>
</ul>


<h3><a class="anchor" id="index_r"></a>- r -</h3><ul>
<li>RaiseEvent()
: <a class="el" href="classCommanders.html#a7adbe54da67e90e0d39b58d69ac3add0">Commanders</a>
</li>
<li>ResetStartingPosition()
: <a class="el" href="classButtonsCommanderEncoder.html#ad6c9f3c48d4587b2fde0b270ed2d9b85">ButtonsCommanderEncoder</a>
</li>
</ul>


<h3><a class="anchor" id="index_s"></a>- s -</h3><ul>
<li>SetAccessoryDecoderPacketHandler()
: <a class="el" href="classDccCommanderClass.html#a676e59c4b5cc8c604221e0b6e32d8aca">DccCommanderClass</a>
</li>
<li>SetLastEventData()
: <a class="el" href="classCommanders.html#ac0885243a075244f75612900460d40ab">Commanders</a>
</li>
<li>SetLastEventType()
: <a class="el" href="classCommanders.html#a5805415d6f7e358f1b26b34e59fe89ac">Commanders</a>
</li>
<li>SetMiniMaxi()
: <a class="el" href="classButtonsCommanderPotentiometer.html#aaf7fc79b72fdab3aea7f5f5a087d2ce8">ButtonsCommanderPotentiometer</a>
</li>
<li>SetNextButton()
: <a class="el" href="classButtonsCommanderButton.html#a7fa0ef8aede172936672b384f81b03bb">ButtonsCommanderButton</a>
</li>
<li>StatusBlink()
: <a class="el" href="classCommanders.html#a86d58bbfa5487810b14973c1eb5d75bd">Commanders</a>
</li>
<li>StatusLedPin
: <a class="el" href="classCommanders.html#a56f9821ce0a39115f26313cbc3fb0870">Commanders</a>
</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- Generated by DoxyPress 1.2.10 -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on mer. oct. 18 2017 17:55:02 for Commanders &nbsp; by
    <a href="http://www.copperspice.com/documentation-doxypress.html">
    <img class="footer" src="doxypress.png" alt="DoxyPress"/></a> 1.2.10 </li>
  </ul>
</div>
</body>
</html>
